import unittest
from formats.geotiff_format import is_valid


class TestGeotiffFormat(unittest.TestCase):
    def test_is_valid__valid(self):
        resource = {}
        with open("tests/data/valid_geotiff.tif", "r") as file:
            self.assertTrue(is_valid(resource, file))

    def test_is_valid__zip(self):
        """The ZIP file contains the TIFF image and a TFW world file."""
        resource = {}
        with open("tests/data/geotiff.zip", "r") as file:
            self.assertTrue(is_valid(resource, file))

    def test_is_valid__invalid(self):
        resource = {}
        with open("tests/data/valid.tif", "r") as file:
            self.assertFalse(is_valid(resource, file))
            self.assertIsNotNone(resource.get("error"))
            self.assertEqual("missing transformation", resource["error"])


if __name__ == "__main__":
    unittest.main()
