import unittest
from formats.wmts_srvc_format import is_valid


class TestWmtsSrvcFormat(unittest.TestCase):
    def test_is_valid__valid(self):
        resource = {}
        resource["url"] = (
            "https://dienste.gdi-sh.invalid/WMTS_SH_ALKIS_OpenGBD/wmts/1.0.0/WMTSCapabilities.xml"
        )
        with open("tests/data/WMTSCapabilities.xml", "r") as file:
            self.assertTrue(is_valid(resource, file))
            self.assertIsNone(resource.get("error"))

    def test_is_valid__invalid(self):
        resource = {}
        resource["url"] = (
            "https://dienste.gdi-sh.invalid/WMTS_SH_ALKIS_OpenGBD/wmts/1.0.0/WMTSCapabilities.xml"
        )
        with open("tests/data/correct.xml", "r") as file:
            self.assertFalse(is_valid(resource, file))
            self.assertIsNotNone(resource.get("error"))


if __name__ == "__main__":
    unittest.main()
